Get all collections
curl --request GET \
--url https://api.fourthwall.com/open-api/v1.0/collections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fourthwall.com/open-api/v1.0/collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fourthwall.com/open-api/v1.0/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "col_b1EVARkUTcCTSfspQaXr1Q",
"shopId": "sh_c689d374-22ca-43d3-8d29-9ef0805cc4cb",
"name": "My collection",
"slug": "my-collection",
"description": "My collection description",
"available": true,
"state": {
"available": true,
"type": "ARCHIVED"
}
}
],
"total": 123,
"page": 123,
"size": 123,
"totalPages": 123
}{
"code": "OPEN_API_TOO_MANY_REQUESTS",
"title": "Too many requests",
"status": 429
}Collections
List Collections
Rate limit: 100 requests / 10 seconds per shop. See Rate limiting.
Returns all collections with pagination. The maximum page size is 100 - larger values are capped at 100.
GET
/
open-api
/
v1.0
/
collections
Get all collections
OAuth scope:
offer_readAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Number of elements per page. The maximum page size is 100 - larger values are capped at 100.